base-4.8.2.0: Basic libraries

Copyright | (c) The FFI task force 2003
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | ffi@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Foreign.Marshal.Safe

Description

Deprecated: Safe is now the default, please use Foreign.Marshal instead

Marshalling support

Safe API Only.

Synopsis

- module Foreign.Marshal.Alloc
- module Foreign.Marshal.Array
- module Foreign.Marshal.Error
- module Foreign.Marshal.Pool
- module Foreign.Marshal.Utils

# Documentation

The module Foreign.Marshal.Safe re-exports the other modules in the `Foreign.Marshal` hierarchy:

module Foreign.Marshal.Alloc

module Foreign.Marshal.Array

module Foreign.Marshal.Error

module Foreign.Marshal.Pool

module Foreign.Marshal.Utils